Bug 208453 - Review Request: php-pear-Console-Getargs - Command-line arguments and parameters parser
Review Request: php-pear-Console-Getargs - Command-line arguments and paramet...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-28 13:41 EDT by Remi Collet
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-02 02:36:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2006-09-28 13:41:19 EDT
Spec URL: http://remi.collet.free.fr/rpms/extras/php-pear-Console-Getargs.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/php-pear-Console-Getargs-1.3.1-1.fc5.src.rpm
Description: 
The Console_Getargs package implements a Command Line arguments and
parameters parser for your CLI applications. It performs some basic
arguments validation and automatically creates a formatted help text,
based on the given configuration.

This is a new Requires for php-pear-PHP-CompatInfo (version 1.4.0) now used instead of Console_Getopt.

Build in mock : http://remi.collet.free.fr/rpms/extras/php-pear-Console-Getargs-build.log

rpmlint not complains.
Comment 1 Jason Tibbitts 2006-09-30 17:09:11 EDT
I wonder if "pear run-tests -p Console_Getargs" is supposed to do anything.  I
can't actually get it to do anything for any installed PEAR module (other than
"Running 0 tests").

* source files match upstream:
   67b5918343fa24f3e311d159e168b5dc  Console_Getargs-1.3.1.tgz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   php-pear(Console_Getargs) = 1.3.1
   php-pear-Console-Getargs = 1.3.1-1.fc6
  =
   /bin/sh
   /usr/bin/pear
   php >= 4.1.0
   php-pear(PEAR)
* %check is not present; not possible to run the tests within rpm.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear install)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Remi Collet 2006-10-02 02:36:18 EDT
> I wonder if "pear run-tests -p Console_Getargs" is supposed to do anything. 
> I can't actually get it to do anything for any installed PEAR module 
> (other than "Running 0 tests").

pear run-tests only work when test suite is provided upstream as .phpt files.
For example "pear run-tests -p Log". Must be run by root :(

Some packages (like this one) use PHPUnit, others use PHPUnit2 as a test suite.

I've worked a little on including test in %check without success.
I'll propose PHPUnit for review (even if PHPUnit2 already in Extras).
Comment 3 Remi Collet 2007-03-31 04:31:41 EDT
Package Change Request
======================
Package Name: php-pear-Console-Getargs
New Branches: EL-5
Comment 4 Jens Petersen 2007-04-02 09:15:48 EDT
done

Note You need to log in before you can comment on or make changes to this bug.